All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.storedprocess
Interface ExecutionStatusListener2Interface

All Superinterfaces:
  java.rmi.Remote

    public interface ExecutionStatusListener2Interface

extends java.rmi.Remote

This interface is implemented by clients who need to be notified of stored process execution status changes. See the package description documentation for usage information.

Since:
  1.0

Method Summary
`void` | `executionStatusChanged(Execution2Interface storedProcessExecution)` Signal a change in status in the execution of a stored process.

Method Detail

### executionStatusChanged

    void executionStatusChanged(Execution2Interface storedProcessExecution)
                                throws java.rmi.RemoteException

  Signal a change in status in the execution of a stored process. A client implements this method and will get control when the status of execution of the stored process changes.

  If execution is via `StoredProcess2Interface.execute(boolean, ExecutionStatusListener2Interface, boolean, Object)` this method is called twice: when the stored process begins executing and when the stored process completes execution.

  If execution is via `StoredProcess2Interface.executeAsynch(ExecutionStatusListener2Interface, boolean)` this method is called thrice: when the new thread is created, when the connection to the server is made and when the stored process completes execution.

  The status is available by calling the `getStatus()` method on the parameter.

  Parameters:
    `storedProcessExecution` - the `ExecutionInterface` object which describes the execution of the stored process
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.